| Home | Libraries | People | FAQ | More

#### basic_deadline_timer::operator=

Move-assign a `basic_deadline_timer` from another.

    basic_deadline_timer & operator=(
        basic_deadline_timer && other);

This assignment operator moves a timer from one object to another. Cancels any outstanding asynchronous operations associated with the target object.

###### Parameters

other

  The other `basic_deadline_timer` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_deadline_timer(const executor_type&)` constructor.